Regions
List counties for a state
Retrieve a list of counties for a given state.
Path Parameters
state_code*string
Valid US State and Territory codes.
This enum contains all valid two-letter codes for US states and territories. Used for parameter validation in API requests.
Value in
"AL" | "AK" | "AZ" | "AR" | "AS" | "CA" | "CO" | "CT" | "DE" | "DC" | "FL" | "GA" | "GU" | "HI" | "ID" | "IL" | "IN" | "IA" | "KS" | "KY" | "LA" | "ME" | "MD" | "MA" | "MI" | "MN" | "MS" | "MO" | "MT" | "NE" | "NV" | "NH" | "NJ" | "NM" | "NY" | "NC" | "ND" | "MP" | "OH" | "OK" | "OR" | "PA" | "PR" | "RI" | "SC" | "SD" | "TN" | "TX" | "TT" | "UT" | "VT" | "VA" | "VI" | "WA" | "WV" | "WI" | "WY"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.whitepages.com/v1/regions/states/AL/counties"{
"results": [
{
"slug": "string",
"name": "string",
"fips_code": "string",
"supported_webhook_events": [
"string"
]
}
]
}{
"error": {
"code": 400,
"message": "Bad Request",
"long_message": "Invalid person ID format: 'sdf'. Person ID must start with 'P' followed by exactly 10 alphanumeric characters. Example: 'PABcd12345e' or 'P1234567890'.",
"meta": null
},
"wp_trace_id": "3b0b537a60d84057817bb40563ca5c99"
}{
"message": "Forbidden"
}{
"error": {
"code": 404,
"message": "Not Found",
"long_message": "Person id not found: PABcd12345e",
"meta": null
},
"wp_trace_id": "0c57473114bd49b3b3c4b585df624f2f"
}{
"error": {
"code": 400,
"message": "Short error message",
"long_message": "The request was malformed",
"meta": {
"field": "email",
"validation_error": "Invalid email format"
}
},
"wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"message": "Too Many Requests"
}{
"error": {
"code": 400,
"message": "Short error message",
"long_message": "The request was malformed",
"meta": {
"field": "email",
"validation_error": "Invalid email format"
}
},
"wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}Related
List all US states and territories
Retrieve a list of all US states and territories.
Regions
Browse and search US states and counties available in the Whitepages Pro API
Search deed events
Search historical deed events by region, date range, and property identifier.
Authentication
Learn how to authenticate your requests to the Whitepages Pro API.